Get a job posting
GET
/api/v1/external/job-postings/{id}
const url = 'https://app.dover.com/api/v1/external/job-postings/example';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://app.dover.com/api/v1/external/job-postings/example \ --header 'Authorization: <Authorization>'Job page payload: company, description, locations, compensation, interview-plan preview, and application questions to render the apply form. Authenticate from your backend with Authorization: Bearer <API_KEY>. Do not put the key in browser JavaScript.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Responses
Section titled “Responses”Media typeapplication/json
object
id
required
Id
string format: uuid
title
required
Title
string
client_id
Client id
string
client_name
Client name
string
client_logo
Client logo
string
client_domain
Client domain
string
user_provided_description
User provided description
string
location
Location
string
locations
Array<object>
object
location_type
required
Location type
string
location_option
object
id
Id
string format: uuid
display_name
required
Display name
string
location_type
required
Location type
string
city
required
City
string
state
required
State
string
country
required
Country
string
location_option_id
required
Location option id
string format: uuid
name
required
Name
string
is_primary
Is primary
boolean
workplace_type
Workplace type
string
compensation
object
upper_bound
Upper bound
integer
lower_bound
Lower bound
integer
currency_code
required
Currency code
string
open_to_sharing_comp
Open to sharing comp
boolean
equity_lower_bound
Equity lower bound
number
equity_upper_bound
Equity upper bound
number
open_to_sharing_equity
Open to sharing equity
boolean
offers_equity
Offers equity
boolean
salary_range_type
Salary range type
string
employment_type
Employment type
string
compensation_details
Compensation details
string
visa_support
Visa support
boolean
application_questions
Array<object>
object
id
required
Id
string format: uuid
question
required
Question
string
input_type
required
Input type
string
required
required
Required
boolean
question_type
Question type
string
multiple_choice_options
Array<string>
max_selections
Max selections
integer
hidden
Hidden
boolean
order_index
Order index
integer
public_interview_plan_preview
Array<object>
object
id
required
Id
string format: uuid
name
required
Name
string
description
required
Description
string
order_index
required
Order index
integer
allow_docx_resumes_in_applications
Allow docx resumes in applications
boolean
apply_url
Apply url
string format: uri
created
Created
string format: date-time
Example
{ "locations": [ { "location_type": "REMOTE", "location_option": { "location_type": "CITY" } } ], "compensation": { "salary_range_type": null, "employment_type": null }, "application_questions": [ { "input_type": "SHORT_ANSWER", "question_type": "LINKEDIN_URL", "hidden": false } ]}